LH_CONFIG(1)

NAME
lh_config - erstellt live-helper(7) Konfiguration

SYNTAX
lh_config [live-helper Optionen]

BESCHREIBUNG
lh_source ist ein Script um das Konfigurationsverzeichnis fuer live-helper zu erstellen. Standardmässig wird das Konfigurationsverzeichnis 'config' genannt und im aktuellen Verzeichnis angelegt.

OPTIONEN
Hier ist eine vollständige Liste aller verfügbaren Optionen für lh_config.

--apt apt|aptitude

--apt-ftp-proxy URL

--apt-http-proxy URL

--apt-pdiffs enabled|disabled

--apt-pipeline FIXME

--apt-recommends enabled|disabled

--apt-secure enabled|disabled

-a|--architecture ARCHITECTURE

-b|--binary-images iso|net|tar|usb-hdd

--binary-indices enabled|disabled

--bootappend PARAMETER|"PARAMETERS"

--bootloader grub|syslinux|yaboot

--bootstrap cdebootstrap|debootstrap

--bootstrap-config FILE

-f|--bootstrap-flavour minimal|standard

--bootstrap-keyring PACKAGE

--cache enabled|disabled

--cache-indices enabled|disabled

--cache-packages enabled|disabled

--cache-stages STAGE|"STAGES"

--chroot-build enabled|disabled

--chroot-filesystem ext2|ext3|squashfs|plain

-c|--conffile FILE

--debconf-frontend dialog|editor|noninteractive|readline

--debconf-nowarnings enabled|disabled

--debconf-priority low|medium|high|critical

--debian-installer enabled|disabled

-d|--distribution CODENAME

-e|--encryption aes128|aes192|aes256

--genisoimage genisomage|mkisofs

--grub-splash FILE

--hooks FILE

--hostname NAME

--includes PATH

--initramfs auto|live-initramfs|casper

--interactive shell

--iso-application NAME

--iso-preparer NAME

--iso-publisher NAME

--iso-volume NAME

--keyring-packages PACKAGE|"PACKAGES"

-l|--language LANGUAGE

-k|--linux-flavours FLAVOUR|"FLAVOURS"

--linux-packages PACKAGE|"PACKGAGES"

--losetup losetup|losetup.orig

--memtest memtest86+|memtest86

-m|--mirror-binary-security URL

--mirror-binary URL

--mirror-bootstrap-security URL

--mirror-bootstrap URL

--mode debian|debian-edu

--net-filesystem nfs|cfs

--net-mountoptions OPTION|"OPTIONS"

--net-path PATH

--net\-server IP|HOSTNAME

-p|--packages-lists FILE

--packages PACKAGE|"PACKAGES"

--root-command sudo

--sections SECTION|"SECTIONS"

--security enabled|disabled

--source enabled|disabled

-s|--source-images iso|net|tar|usb-hdd

--symlinks enabled|disabled

--syslinux-splash FILE

--syslinux-timeout MILISECONDS

--sysvinit enabled|disabled

--tasksel aptitude|tasksel

--tasks TASK

--templates PATH

--union-filesystem aufs|unionfs

--username NAME

UMGEBUNG
Alle Kommandozeilenoptionen können auch durch die ensprechende Umgebungsvariable spezifiziert werden. Umgebungsvariablen sind LH_FOO geannt, das heisst, z.B. --apt-ftp-proxy wird zu LH_APT_FTP_PROXY.

SIEHE AUCH
live-helper(7)

Dieses Programm ist Teil von live-helper.

FEHLER
Fehler können gegen live-helper <http://packages.qa.debian.org/live-helper> gemeldet werden.

HOMEPAGE
Mehr Informationen über das Debian Live-Projekt können auf <http://debian-live.alioth.debian.org/> und <http://wiki.debian.org/DebianLive/> gefunden werden.

AUTOR
live-helper wurde von Daniel Baumann <daniel@debian.org> für das Debian-Projekt geschrieben.